> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-external-snippet-helper-copy.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# /v0/scan-proxy/transfer-command/status

> Retrieve the status of all transfer commands of the given sender for the specified nonce.



## OpenAPI

````yaml /openapi/splice/validator/scan-proxy.yaml get /v0/scan-proxy/transfer-command/status
openapi: 3.0.0
info:
  title: Validator API
  version: 0.0.1
servers:
  - url: https://example.com/api/validator
security: []
tags:
  - name: validator
paths:
  /v0/scan-proxy/transfer-command/status:
    get:
      tags:
        - scan-proxy
      summary: /v0/scan-proxy/transfer-command/status
      description: >-
        Retrieve the status of all transfer commands of the given sender for the
        specified nonce.
      operationId: lookupTransferCommandStatus
      parameters:
        - name: sender
          in: query
          required: true
          schema:
            type: string
        - name: nonce
          in: query
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LookupTransferCommandStatusResponse'
        '404':
          $ref: '#/components/responses/404'
          description: No TransferCommand exists with this contract id within the last 24h
components:
  schemas:
    LookupTransferCommandStatusResponse:
      type: object
      required:
        - transfer_commands_by_contract_id
      properties:
        transfer_commands_by_contract_id:
          $ref: '#/components/schemas/TransferCommandMap'
    TransferCommandMap:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/TransferCommandContractWithStatus'
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
    TransferCommandContractWithStatus:
      description: >
        A contract of Daml template
        `Splice.ExternalPartyAmuletRules:TransferCommand`,

        and its status determined by the latest transactions.
      type: object
      required:
        - contract
        - status
      properties:
        contract:
          $ref: '#/components/schemas/Contract'
        status:
          $ref: '#/components/schemas/TransferCommandContractStatus'
    Contract:
      type: object
      properties:
        template_id:
          type: string
        contract_id:
          type: string
        payload:
          type: object
        created_event_blob:
          type: string
        created_at:
          type: string
      required:
        - template_id
        - contract_id
        - payload
        - created_event_blob
        - created_at
    TransferCommandContractStatus:
      type: object
      oneOf:
        - $ref: '#/components/schemas/TransferCommandCreatedResponse'
        - $ref: '#/components/schemas/TransferCommandSentResponse'
        - $ref: '#/components/schemas/TransferCommandFailedResponse'
      discriminator:
        propertyName: status
        mapping:
          created:
            $ref: '#/components/schemas/TransferCommandCreatedResponse'
          sent:
            $ref: '#/components/schemas/TransferCommandSentResponse'
          failed:
            $ref: '#/components/schemas/TransferCommandFailedResponse'
    TransferCommandCreatedResponse:
      type: object
      allOf:
        - $ref: '#/components/schemas/BaseLookupTransferCommandStatusResponse'
    TransferCommandSentResponse:
      type: object
      allOf:
        - $ref: '#/components/schemas/BaseLookupTransferCommandStatusResponse'
    TransferCommandFailedResponse:
      type: object
      allOf:
        - $ref: '#/components/schemas/BaseLookupTransferCommandStatusResponse'
        - type: object
          required:
            - failure_kind
            - reason
          properties:
            failure_kind:
              type: string
              description: |
                The reason for the failure of the TransferCommand.
                failed:
                  Completing the transfer failed, check the reason for details.
                withdrawn:
                  The sender has withdrawn the TransferCommand before it could be completed.
                expired:
                  The expiry time on the TransferCommand was reached before it could be completed.
              enum:
                - failed
                - expired
                - withdrawn
            reason:
              type: string
              description: |
                Human readable description of the failure
    BaseLookupTransferCommandStatusResponse:
      type: object
      required:
        - status
      properties:
        status:
          type: string
          description: |
            The status of the transfer command.
            created:
              The transfer command has been created and is waiting for automation to complete it.
            sent:
              The transfer command has been completed and the transfer to the receiver has finished.
            failed:
              The transfer command has failed permanently and nothing has been transferred. Refer to
              failure_reason for details. A new transfer command can be created.
  responses:
    '404':
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````